#ifndef __I3DEDITORHOSTPARTDEFS__
#define __I3DEDITORHOSTPARTDEFS__
/****************************************************************************************

		I3DEditorHostPartDefs.h

		Copyright: (c) 2001 Eovia Corp. All rights reserved.

		Author:	Greg
		Date:	3/30/99
		

		Revision History

		when		who			what & why
		==========	==========	======================================================

*****************************************************************************************/

#include "CommandIdRanges.h"


//UNIQUE command IDs (Action numbers AND tool ids)
//We reserved 18000-19999 in CommandIdRanges.h

//We use 18000-18999 for tool ids and the rest for action numbers

#define kSelectToolID 				(k3DEditorHostCmdIDBase +  2)	//18003
#define kMoveToolID 				(k3DEditorHostCmdIDBase +  3)	//18003
#define kRotateToolID				(k3DEditorHostCmdIDBase +  4)	//18004
#define kScaleToolID				(k3DEditorHostCmdIDBase +  5)	//18005
#define kCameraTrackXYToolID		(k3DEditorHostCmdIDBase +  6)	//18006
#define kCameraTrackXZToolID		(k3DEditorHostCmdIDBase +  7)	//18007
#define kCameraTrackYZToolID		(k3DEditorHostCmdIDBase +  8)	//18008
#define kCameraDollyToolID			(k3DEditorHostCmdIDBase +  9)	//18009
#define kCameraPanToolID			(k3DEditorHostCmdIDBase + 10)	//18010
#define kCameraBankToolID			(k3DEditorHostCmdIDBase + 11)	//18011
#define kIKChainToolID				(k3DEditorHostCmdIDBase + 12)	//18012
#define kEyeDropperToolID			(k3DEditorHostCmdIDBase + 13)	//18013
#define kTool_OneView				(k3DEditorHostCmdIDBase + 14)	//18014
#define kTool_TwoViewsHorizontal	(k3DEditorHostCmdIDBase + 15)	//18015
#define kTool_TwoViewsVertical		(k3DEditorHostCmdIDBase + 16)	//18016
#define kTool_ThreeViewsTop			(k3DEditorHostCmdIDBase + 17)	//18017
#define kTool_ThreeViewsLeft		(k3DEditorHostCmdIDBase + 18)	//18018
#define kTool_ThreeViewsBottom		(k3DEditorHostCmdIDBase + 19)	//18019
#define kTool_ThreeViewsRight		(k3DEditorHostCmdIDBase + 20)	//18020
#define kTool_FourViews 			(k3DEditorHostCmdIDBase + 21)	//18021
#define kTool_TwoViewsInset			(k3DEditorHostCmdIDBase + 22)	//18022
#define kTool_CollisionDrag			(k3DEditorHostCmdIDBase + 23)	//18023
#define kTool_XOn					(k3DEditorHostCmdIDBase + 24)	//18024
#define kTool_YOn					(k3DEditorHostCmdIDBase + 25)	//18025
#define kTool_ZOn					(k3DEditorHostCmdIDBase + 26)	//18026
#define kTool_GroundOn				(k3DEditorHostCmdIDBase + 27)	//18027
#define kTool_ActivePlane			(k3DEditorHostCmdIDBase + 28)	//18028
#define kTool_Settings				(k3DEditorHostCmdIDBase + 29)	//18029
#define kTool_OneView2				(k3DEditorHostCmdIDBase + 30)	//18030
#define kTool_OneView3				(k3DEditorHostCmdIDBase + 31)	//18031
#define kTool_OneView4				(k3DEditorHostCmdIDBase + 32)	//18032
#define kUniversalManipulatorID		(k3DEditorHostCmdIDBase + 33)	//18033


//Action numbers
#define k3DEditorHostActionsIDBase	(k3DEditorHostCmdIDBase + 1000)

//Used in BuildMenuBar
#define kaZoomToSel					(k3DEditorHostActionsIDBase +  0)	//19000
#define kaZoomTo					(k3DEditorHostActionsIDBase +  1)	//19001
#define kaZoom25					(k3DEditorHostActionsIDBase +  2)	//19002
#define kaZoom50					(k3DEditorHostActionsIDBase +  3)	//19003
#define kaZoom75					(k3DEditorHostActionsIDBase +  4)	//19004
#define kaZoom100					(k3DEditorHostActionsIDBase +  5)	//19005
#define kaZoom200					(k3DEditorHostActionsIDBase +  6)	//19006
#define kaZoom300					(k3DEditorHostActionsIDBase +  7)	//19007
#define kaZoom400					(k3DEditorHostActionsIDBase +  8)	//19008
#define kaZoom500					(k3DEditorHostActionsIDBase +  9)	//19009
#define kaZoom600					(k3DEditorHostActionsIDBase + 10)	//19010
#define kaResetPan					(k3DEditorHostActionsIDBase + 11)	//19011
#define kaResetAllPans				(k3DEditorHostActionsIDBase + 12)	//19012
#define kaXOn							(k3DEditorHostActionsIDBase + 13)	//19013
#define kaYOn							(k3DEditorHostActionsIDBase + 14)	//19014
#define kaZOn							(k3DEditorHostActionsIDBase + 15)	//19015
#define kaGroundOn						(k3DEditorHostActionsIDBase + 16)	//19016
#define kaActivePlane					(k3DEditorHostActionsIDBase + 17)	//19017
#define kaInteractiveRendererSettings	(k3DEditorHostActionsIDBase + 18)	//19018
#define kaSavePosition					(k3DEditorHostActionsIDBase + 19)	//19019
#define kaRemovePosition				(k3DEditorHostActionsIDBase + 20)	//19020
#define kaSetPositionTo					(k3DEditorHostActionsIDBase + 21)	//19021
#define kaViewSelection					(k3DEditorHostActionsIDBase + 22)	//19022
#define kaLastPaneConfig				(k3DEditorHostActionsIDBase + 23)	//19023
#define kaCyclePaneView					(k3DEditorHostActionsIDBase + 24)	//19024
#define kaOnePaneConfig					(k3DEditorHostActionsIDBase + 25)	//19025
#define kaTwoPaneConfig					(k3DEditorHostActionsIDBase + 26)	//19026
#define kaThreePaneTopConfig			(k3DEditorHostActionsIDBase + 27)	//19027
#define kaFourPaneTopConfig				(k3DEditorHostActionsIDBase + 28)	//19028
#define kaTwoPaneInsetConfig			(k3DEditorHostActionsIDBase + 29)	//19029
#define kaLeftCamera					(k3DEditorHostActionsIDBase + 30)	//19030
#define kaRightCamera					(k3DEditorHostActionsIDBase + 31)	//19031
#define kaTopCamera						(k3DEditorHostActionsIDBase + 32)	//19032
#define kaBottomCamera					(k3DEditorHostActionsIDBase + 33)	//19033
#define kaFrontCamera					(k3DEditorHostActionsIDBase + 34)	//19034
#define kaBackCamera					(k3DEditorHostActionsIDBase + 35)	//19035
#define kaDirectorCamera				(k3DEditorHostActionsIDBase + 36)	//19036
#define kaUVCamera						(k3DEditorHostActionsIDBase + 37)	//19037

//Define range for choosing the camera 19100 to 19199 (included)
#define	kaChangeCameraBase				(k3DEditorHostActionsIDBase +  100)	//19100
#define	kaLastChangeCamera				(k3DEditorHostActionsIDBase +  199)	//19199

//Define range for choosing the camera position 19200 to 19299 (included)
#define	kaChangePositionBase			(k3DEditorHostActionsIDBase +  200)	//19200
#define	kaLastChangeCameraPosition		(k3DEditorHostActionsIDBase +  299)	//19299



//Other defines

#define kaZoomSubMenu       20030 // this menu item will be automatically replaced by a sub menu by the editor host
#define kBasePanePartID		1998 // the part ID set on the pane part are 1998, 1999, 2000, ...

#endif
